org.bdgenomics.cannoli.cli

# Bowtie2Args

###
Related Doc: package cli

#### class Bowtie2Args extends cannoli.Bowtie2Args with ADAMSaveAnyArgs with ParquetArgs

Bowtie 2 command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.Bowtie2Args, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Bowtie2Args
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Bowtie2Args
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Bowtie2Args()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     Bowtie2Args

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### var asSingleFile: Boolean

   Definition Classes
     Bowtie2Args → ADAMSaveAnyArgs

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### var deferMerging: Boolean

    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableFastConcat: Boolean

    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### var executable: String

    Definition Classes
      Bowtie2Args

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var image: String

    Definition Classes
      Bowtie2Args

21. #### var indexPath: String

    Definition Classes
      Bowtie2Args

22. #### var inputPath: String

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### var logLevel: String

    Definition Classes
      ParquetArgs

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### var outputPath: String

    Definition Classes
      Bowtie2Args → SaveArgs

29. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

30. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

31. #### var sortFastqOutput: Boolean

    Definition Classes
      Bowtie2Args → ADAMSaveAnyArgs

32. #### var stringency: String

33. #### var sudo: Boolean

    Definition Classes
      Bowtie2Args

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### var useDocker: Boolean

    Definition Classes
      Bowtie2Args

37. #### var useSingularity: Boolean

    Definition Classes
      Bowtie2Args

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.Bowtie2Args

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped